[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# TVmtFieldEntry

Describe a field of a record/class

## Declaration

Source position: typinfo.pp line 89

`type TVmtFieldEntry = packed record`
`FieldOffset: PtrUInt;` |  | Offset of the field from the start of the class data
`TypeIndex: Word;` |  | Type of the field
`Name: ShortString;` |  | Name of the field
`end;`

## Description

TVmtFieldEntry records are generated by the compiler for all fields of a record or class that have RTTI associated with them. They describe the field as known to the compiler.

## See also

PVmtFieldEntry |  | Pointer to #rtl.typinfo.TVmtFieldEntry type.
TVmtFieldTable |  | Table of field descriptions for a class or record type.

Documentation generated on: Feb 26 2014